package com.liquidnet.service.goblin.dto.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinBraceletPayResultVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;




    private static final GoblinBraceletPayResultVo obj = new GoblinBraceletPayResultVo();

    public static GoblinBraceletPayResultVo getNew() {
        try {
            return (GoblinBraceletPayResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinBraceletPayResultVo();
    }
}
